/*****************************************************************************

 That's the menu definition for the editor.

 SubMenu: "Name", Key [,Context]
 Creates a submenu, for example one of the pull-down or a menu inside another.
 Context is hcNoContext by default.

 MenuItem: "Name", Command[, Key [, Context [,"KeyName"]]]
 Creates an entry in a menu.
 Context is hcNoContext by default.
 Key is kbNoKey by default.

 MenuItemC: "Name", Command[, Key [,"KeyName"]]
 Like MenuItem but Context is equal to Command.

 MenuSeparator
 Adds a separator

 EndSubMenu
 Ends a submenu

*****************************************************************************/

#include "menubind.h"

SubMenu: "~F~ile", kbAltF
 MenuItem: "~O~pen...", cmeOpen, kbF3
 MenuItem: "~N~ew", cmeNew
 MenuItem: "~S~ave", cmcSave, kbF2, hcNoContext, "F2"
 MenuItem: "S~a~ve as...", cmcSaveAs, kbNoKey
 MenuItem: "Save as ~U~NIX...", cmcSaveAsUNIX
 MenuItem: "Save w/same ~t~ime...", cmcSaveSameTime
 MenuSeparator
 MenuItem: "~P~rint", cmePrintEditor
 MenuItem: "Pr~i~nt Setup...", cmeSetUpPrinter
 MenuSeparator
 MenuItem: "~C~hange dir...", cmeChangeDrct
 MenuItem: "~D~OS shell", cmeDosShell
 MenuItem: "~Q~uit", cmeQuitDelete, kbAltQ, hcNoContext, "Alt-Q"
 MenuItem: "E~x~it", cmeQuit, kbAltX, hcNoContext, "Alt-X"
EndSubMenu

SubMenu: "~E~dit", kbAltE
 MenuItem: "~U~ndo", cmcUndo, kbAltBack, hcNoContext, "Alt+BackSpace"
 MenuItem: "~R~edo", cmcRedo
 MenuSeparator
 MenuItem: "Cu~t~", cmcCut, kbShiftDel, hcNoContext, "Shift-Del"
 MenuItem: "~C~opy", cmcCopy, kbCtrlIns, hcNoContext, "Ctrl-Ins"
 MenuItem: "~P~aste", cmcPaste, kbShiftIns, hcNoContext, "Shift-Ins"
 MenuItem: "~S~how clipboard", cmeShowClip
 MenuSeparator
 MenuItem: "~C~lear", cmcClear, kbCtrlDel, hcNoContext, "Ctrl-Del"
 MenuSeparator
 MenuItem: "S~e~t Local", cmcSetLocalOptions, kbAltL, hcNoContext, "Alt-L"
 MenuItem: "Set ~G~lobal", cmcSetGlobalOptions, kbAltG, hcNoContext, "Alt-G"
 MenuSeparator
 MenuItem: "E~x~pand all tabs", cmcExpandAllTabs
 MenuItem: "C~o~mpact text", cmcCompactBuffer
 MenuSeparator
 MenuItem: "~J~ump to function", cmcJumpToFunction
 MenuItem: "Co~p~y to Windows Clip.", cmcCopyClipWin
 MenuItem: "Pas~t~e to Wind. Clip.", cmcPasteClipWin
 SubMenu: "~M~acro", kbAltM
  MenuItem: "~R~ecord", cmcRecordMacro, kbShiftF10, hcNoContext, "Shift+F10"
  MenuItem: "~S~top", cmcStopMacro, kbAltF10, hcNoContext, "Alt+F10"
  MenuItem: "~P~lay", cmcPlayMacro, kbCtrlF10, hcNoContext, "Ctrl+F10"
 EndSubMenu
EndSubMenu

SubMenu: "~S~earch", kbAltS
 MenuItem: "~F~ind...", cmcFind
 MenuItem: "~R~eplace...", cmcReplace
 MenuItem: "~S~earch again", cmcSearchAgain
EndSubMenu

SubMenu: "~M~acro", kbAltM
 MenuItem: "~R~ecord", cmcRecordMacro, kbShiftF10, hcNoContext, "Shift+F10"
 MenuItem: "~S~top", cmcStopMacro, kbAltF10, hcNoContext, "Alt+F10"
 MenuItem: "~P~lay", cmcPlayMacro, kbCtrlF10, hcNoContext, "Ctrl+F10"
 MenuSeparator
 MenuItem: "~C~hoose", cmcChooseMacro
 MenuItem: "R~e~peat", cmcRepeatMacro, kbShiftF3, hcNoContext, "Shift+F3"
 MenuItem: "~G~enerate Code", cmcGenCodeForMacro
EndSubMenu

SubMenu: "Re~c~tangle", kbAltR
 MenuItem: "~S~tart", cmcSelRectStart
 MenuItem: "~E~nd",   cmcSelRectEnd
 MenuItem: "~H~ide", cmcSelRectHide
 MenuSeparator
 MenuItem: "~C~opy",  cmcSelRectCopy
 MenuItem: "~P~aste", cmcSelRectPaste
 MenuItem: "Cu~t~",   cmcSelRectCut
 MenuItem: "C~l~ear", cmcSelRectDel
 MenuItem: "~M~ove",  cmcSelRectMove
EndSubMenu

SubMenu: "~W~indows", kbAltW
 MenuItem: "~S~ize/move",cmeResize, kbCtrlF5, hcNoContext, "Ctrl-F5"
 MenuItem: "~Z~oom", cmeZoom, kbF5, hcNoContext, "F5"
 MenuItem: "~T~ile", cmeTile
 MenuItem: "C~a~scade", cmeCascade
 MenuItem: "~N~ext", cmeNext, kbF6, hcNoContext, "F6"
 MenuItem: "~P~revious", cmePrev, kbShiftF6, hcNoContext, "Shift-F6"
 MenuItem: "~C~lose", cmeClose, kbAltF3, hcNoContext, "Alt-F3"
 MenuItem: "~L~ist", cmeListWin, kbAlt0, hcNoContext, "Alt-0"
 MenuItem: "~U~ser Screen", cmeUserScreen, kbAltF5, hcNoContext, "Alt-F5"
EndSubMenu

SubMenu: "~H~elp", kbAltH
 MenuItem: "~I~NF View", cmeInfView, kbF1, hcNoContext, "F1"
 MenuItem: "~A~nother InfView", cmeAnotherInfView
EndSubMenu

SubMenu: "~T~ool&Ops", kbAltT
 SubMenu: "~O~ptions", kbNoKey
   MenuItem: "~C~olors", cmeSetColors
   MenuItem: "Color ~P~alette", cmeEditPalette
   MenuItem: "Editor ~G~eneral", cmeEdGralOptions
   MenuItem: "S~D~G Options", cmeSDGDialog
   MenuItem: "~R~un program (which one)", cmeConfRunCommand
   SubMenu: "~K~eyboard", kbAltK
     MenuItem: "~K~ey assigment", cmeEditKeyBind
     MenuItem: "~S~etup Alt keys", cmeSetUpAltKeys
     MenuItem: "~B~ack to defaults", cmeKbBackDefault
     MenuItem: "Consult ~s~can codes", cmeSeeScanCodes
   EndSubMenu
   MenuItem: "~S~creen Options", cmeSetScreenOps
 EndSubMenu
 MenuItem: "~C~alculator", cmeCalculator, kbAltF4, hcNoContext, "Alt+F4"
 MenuItem: "~S~DG", cmeSDG, kbF9, hcNoContext, "F9"
 MenuItem: "~R~un program", cmeRunCommand, kbCtrlF9, hcNoContext, "Ctrl-F9"
 MenuItem: "~G~rep ...", cmeGrepDialog
 MenuItem: "~P~rofile Editor", cmcProfileEditor
EndSubMenu

SubMenu: "~P~roject", kbAltP
 MenuItem: "~O~pen...", cmeOpenPrj
 MenuItem: "~C~lose", cmeClosePrj
EndSubMenu

